#### test/ebdic-koujien.rb -- unit test for ebdic module, using KOUJIEN

require 'runit/testcase'

$stdout.sync = true

class EBDicKoujienTest <RUNIT::TestCase
  def setup
    @ebdic = EBDic.new("/opt/epwing/koujien", "KOUJIEN")
  end

  def test_search_failure
    assert(@ebdic.search("ۤ").empty?)
    assert(@ebdic.search("\001\001").empty?)
  end

  def test_search_success1
    assert_equal("/",
		 @ebdic.search("").join("/"))
  end

  def test_search_success2
    assert_equal("oui/ե",
		 @ebdic.search("").join("/"))
  end

  def test_search_success3
    assert_equal("Europa/ݥȥ//",
		 @ebdic.search("衼ä").join("/"))
  end

  def test_search_success4
    assert_equal("Ǥ////////maquis/ե",
		 @ebdic.search("ޤ").join("/"))
  end

  def test_search_success5
    assert_equal("Ρ٥",
		 @ebdic.search("Ρ٤뤷礦").join("/"))
  end

  def test_search_success6
    assert_equal("",
		 @ebdic.search("Ȥޤ").join("/"))
  end

  def test_search_success7
    assert_equal("United States of America",
		 @ebdic.search("ʤƤäɤơĤ֤꤫").join("/"))
  end

  def test_search_success8
    assert_equal("Washington/Washington/",
		 @ebdic.search("路Ȥ").join("/"))
  end

  def tear_down
  end
end

if __FILE__ == $0
  load 'rskkserv.conf'
  load 'skkserv/ebdic.rb'

  require 'runit/cui/testrunner'
  RUNIT::CUI::TestRunner.run(EBDicKoujienTest.suite)
end

# test/ebdic-koujien.rb ends here
