### test/ebdic.rb -- unit test for ebdic module, using KOUJIEN/MYPAEDIA/WDIC

require 'runit/testcase'

$stdout.sync = true

class EBDicNoBook <RUNIT::TestCase
  def test_nobook
    bind_failed = false
    begin
      EBDic.new("/opt", "HOGE")
    rescue
      bind_failed = ($!.type == RuntimeError and $!.to_s == "bind failed")
    end
    assert(bind_failed, "should bind failed.")
  end
end

class EBDicTest <RUNIT::TestSuite
  def self.suite
    testsuite = EBDicTest.new 

    testsuite.add_test(EBDicNoBook.suite)

    load 'test/ebdic-koujien.rb'
    testsuite.add_test(EBDicKoujienTest.suite)

    load 'test/ebdic-mypaedia.rb'
    testsuite.add_test(EBDicMypaediaTest.suite)

    load 'test/ebdic-wdic.rb'
    testsuite.add_test(EBDicWDicTest.suite)

    testsuite
  end
end

if __FILE__ == $0
  load 'rskkserv.conf'
  load 'skkserv/ebdic.rb'

  require 'runit/cui/testrunner'
  RUNIT::CUI::TestRunner.run(EBDicTest.suite)
end

# test/ebdic.rb ends here
